<?php

	# author Drk in

	require_once ( $_SERVER['DOCUMENT_ROOT']."/_core/system.php" );

	$id =  isset( $_GET['id'] ) ? abs(intval($_GET['id'])): 0;

	if (cache_cat::ch($id) == false)system::header('/admin/cat','Ошибка ID не найден');

	$act = cache_cat::check($id);

	# meta

	$title = 'Категории - Изменить - '.system::check($act['name']);
	$description = system::check($config['description']);
	$keywords = system::check($config['keywords']);
	$tl = 'Категории - Изменить - '.system::check($act['name']);

	# admin

	system::adm();

	# post

	if (isset($_POST['CFMS'])): 

	$name  = system::check($_POST['name']);
	$CK    = system::check($_POST['CK']);
	
	if (system::utf_strlen($name) > 5 && system::utf_strlen($name)	< 51):		
	if ($user['CK'] == $CK):		

	DB :: $dbh -> query("UPDATE cat SET name = ? WHERE id = ? LIMIT 1;", array($name,$id));	
	
	cache_cat::save($id);		

	system::header('?','Успешно',1);		

	# error 

	else: system::header('?','Ошибка, возможно вам подкинули эту ссылку'); endif;	
	else: system::header('?','Название от 5 до 100 символов'); endif;

	endif;

	# head

	require_once ( head );

	echo '
	<div class ="touch">
	<form method="post">
	<input type="hidden" name="CK" value="'.$user['CK'].'">
	Название: <br><input type="text" name="name" value="'.$act['name'].'">	
	<br>
	<input type="submit" name="CFMS" value="Сохранить">
	</form>
	</div>
	<a href="'.site.'admin/cat" class="touch">« Назад</a>';

	# foot

	require_once ( foot ) ;
?>